Page MenuHomePhabricator

description in other languages is not readable without clicking edit
Closed, ResolvedPublic

Description

If you have a long description in a different language it is cropped and you can't read it even with a mouse over or similar.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
Resolvedthiemowmde

Event Timeline

Lucie created this task.Mar 24 2015, 8:47 PM
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 8:47 PM
Lydia_Pintscher raised the priority of this task from Normal to High.Mar 25 2015, 9:35 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

Change 200316 had a related patch set uploaded (by Ricordisamoa):
Wrap descriptions in entitytermsforlanguageview instead of using ellipsis

https://gerrit.wikimedia.org/r/200316

Laddo added a subscriber: Laddo.Mar 30 2015, 1:49 PM
aude added a subscriber: aude.Mar 31 2015, 2:21 PM

With the patch, the "other languages" box, with very long descriptions and aliases, looks like this:

On master, it is like:

my test item is probably pretty extreme case of long aliases (although it comes from the item for Bangkok) and number of aliases. I personally like having the text wrapped, as the patch does, even if there are a lot of aliases, but do others have opinion?

Let's do it and reevaluate later based on what @Snaterlicious comes up with for items with many aliases.

Change 200316 merged by jenkins-bot:
Wrap descriptions in entitytermsforlanguageview instead of using ellipsis

https://gerrit.wikimedia.org/r/200316

Tobi_WMDE_SW closed this task as Resolved.Apr 29 2015, 12:28 PM
Tobi_WMDE_SW moved this task from Doing to Done on the Wikidata-Sprint-2015-04-21 board.
Ricordisamoa removed a project: Patch-For-Review.
Ricordisamoa removed a subscriber: gerritbot.
Lucie added a comment.May 7 2015, 11:16 PM

Not sure, but might be connected to this bug;
Long property names in references are not shown completely for me in firefox.
In this case, it's supposed to be "original language of work";

Do we have a ticket for this already?